# MatDAADSetDA

Tells the matrix what DA it is using for layout and Jacobian.

### Synopsis

    #include "petscda.h"
    #include "petscsnes.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatDAADSetDA(Mat A,DA da)

Collective on Mat and DA

### Input Parameters

| mat | - the matrix
| da | - the DA

### See Also

MatCreate(), DASetLocalAdicMFFunction(), MatCreateDAAD()

Level:intermediate
Location: src/mat/impls/adic/matadic.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages